Name:           dci-release
Version:        0.1
Release:        1%{?dist}

Summary:        Distributed CI repository configuration
License:        ASL2.0

URL:            https://github.com/redhat-cip/dci-control-server
BuildArch:      noarch

%description
This package contain the Distributed CI repository configuration file

%prep

%build

%install
install -d %{buildroot}/%{_sysconfdir}/yum.repos.d

%if 0%{?fedora}
cat > %{buildroot}/%{_sysconfdir}/yum.repos.d/dci.repo <<EOF
[dci]
name=Distributed CI - Fedora \$releasever
baseurl=http://dci.enovance.com/repos/current/fedora/\$releasever/\$basearch/
gpgcheck=0
gpgkey=http://dci.enovance.com/RPM-GPG-KEY-distributedci

[dci-extras]
name=Distributed CI - No upstream package - Fedora \$releasever
baseurl=http://dci.enovance.com/repos/extras/fedora/\$releasever/\$basearch/
gpgcheck=0
gpgkey=http://dci.enovance.com/RPM-GPG-KEY-distributedci

[dci-devel]
name=Distributed CI - Development Version - Fedora \$releasever
baseurl=http://dci.enovance.com/repos/development/fedora/\$releasever/\$basearch/
gpgcheck=0
gpgkey=http://dci.enovance.com/RPM-GPG-KEY-distributedci
EOF
%endif

%if 0%{?centos}
cat > %{buildroot}/%{_sysconfdir}/yum.repos.d/dci.repo <<EOF
[dci]
name=Distributed CI - CentOS \$releasever
baseurl=http://dci.enovance.com/repos/current/el/\$releasever/\$basearch/
gpgcheck=0
gpgkey=http://dci.enovance.com/RPM-GPG-KEY-distributedci

[dci-extras]
name=Distributed CI - No upstream package - CentOS \$releasever
baseurl=http://dci.enovance.com/repos/extras/el/\$releasever/\$basearch/
gpgcheck=0
gpgkey=http://dci.enovance.com/RPM-GPG-KEY-distributedci

[dci-devel]
name=Distributed CI - Development Version - CentOS \$releasever
baseurl=http://dci.enovance.com/repos/development/el/\$releasever/\$basearch/
gpgcheck=0
gpgkey=http://dci.enovance.com/RPM-GPG-KEY-distributedci
EOF
%endif

%files
%defattr(-,root,root,-)
%{_sysconfdir}/yum.repos.d/dci.repo

%changelog
* Fri Nov 13 2015 Yanis Guenane <yguenane@redhat.com> 0.1-1
- Initial commit
